Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface CollaborationAgreementMBean

public interface CollaborationAgreementMBean
extends com.bea.b2b.management.WLCConfigurationMBean

The CollaborationAgreementMBean interface represents a Collaboration Protocol Agreement(CollaborationAgreement). A CollaborationAgreement represents a technical agreement between two parties on how they plan to communicate with each other using a specific protocol.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `disable()` Disables the CollaborationAgreement.
`void` | `enable()` Enabled the CollaborationAgreement.
`ConversationMBean[]` | `getActiveConversations()` Gets the active conversations for this collaboration protocol agreement.
`java.lang.String` | `getBusinessProtocol()` Gets the business protocol name for this collaboration protocol agreement.
`java.lang.String` | `getBusinessProtocolVersion()` Gets the business protocol version for this collaboration protocol agreement.
`com.bea.b2b.management.ConversationDefinitionMBean` | `getConversationDefinition()` Gets the conversationDefinition defined for the CollaborationAgreement.
`java.lang.String` | `getDescription()` Gets the description of the CollaborationAgreement.
`java.lang.String` | `getGlobalIdentifier()` Gets the global identifier of the CollaborationAgreement.
`java.util.Date` | `getLifetimeEnd()` Gets the end date of the CollaborationAgreement.
`java.util.Date` | `getLifetimeStart()` Gets the start date of the CollaborationAgreement.
`java.lang.String` | `getNotes()` Gets the notes of the CollaborationAgreement.
`com.bea.b2b.management.PartyMBean[]` | `getParties()` Gets all the parties defined for the CollaborationAgreement.
`int` | `getStatus()` Gets the status of the CollaborationAgreement.
`java.lang.String` | `getVersion()` Gets the version of the CollaborationAgreement.

Method Detail

### getVersion

    public java.lang.String getVersion()

  Gets the version of the CollaborationAgreement.

  Returns:
    String - Version of the CollaborationAgreement.

### getGlobalIdentifier

    public java.lang.String getGlobalIdentifier()

  Gets the global identifier of the CollaborationAgreement.

  Returns:
    String - global identifier of the CollaborationAgreement.

### getStatus

    public int getStatus()

  Gets the status of the CollaborationAgreement.

  Returns:
    int - status of the CollaborationAgreement.

### getDescription

    public java.lang.String getDescription()

  Gets the description of the CollaborationAgreement.

  Returns:
    String - description of the CollaborationAgreement.

### getNotes

    public java.lang.String getNotes()

  Gets the notes of the CollaborationAgreement.

  Returns:
    String - notes of the CollaborationAgreement.

### getLifetimeStart

    public java.util.Date getLifetimeStart()

  Gets the start date of the CollaborationAgreement.

  Returns:
    Date - start date of the CollaborationAgreement.

### getLifetimeEnd

    public java.util.Date getLifetimeEnd()

  Gets the end date of the CollaborationAgreement.

  Returns:
    Date - end date of the CollaborationAgreement.

### getConversationDefinition

    public com.bea.b2b.management.ConversationDefinitionMBean getConversationDefinition()
                                                          throws ManagementException

  Gets the conversationDefinition defined for the CollaborationAgreement.

  Returns:
    ConversationDefinitionMBean - ConversationDefinition defined for the CollaborationAgreement.

### getParties

    public com.bea.b2b.management.PartyMBean[] getParties()
                            throws ManagementException

  Gets all the parties defined for the CollaborationAgreement.

  Returns:
    PartyMBean[] - Array of PartyMBeans defined for the CollaborationAgreement.

### getActiveConversations

    public ConversationMBean[] getActiveConversations()

  Gets the active conversations for this collaboration protocol agreement.

  Returns:
    ConversationMBean[] - Array of ConversationMBeans for the CollaborationAgreement.

### getBusinessProtocol

    public java.lang.String getBusinessProtocol()
                                         throws ManagementException

  Gets the business protocol name for this collaboration protocol agreement.

  Returns:
    String - Business Protocol name for the CollaborationAgreement.

### getBusinessProtocolVersion

    public java.lang.String getBusinessProtocolVersion()
                                                throws ManagementException

  Gets the business protocol version for this collaboration protocol agreement.

  Returns:
    String - Business Protocol version for the CollaborationAgreement.

### disable

    public void disable()
                 throws ManagementException

  Disables the CollaborationAgreement.

  Throws:
    ManagementException - If an error occurred during the disable operation.

### enable

    public void enable()
                throws ManagementException

  Enabled the CollaborationAgreement.

  Throws:
    ManagementException - If an error occurred during the disable operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)